namespace Reminesce
{

inline void NMI()
{
	ram[0x100|cpu.s]			= cpu.pc>>8;
	ram[0x100|(u8)(cpu.s-1)]	= (u8)cpu.pc;
	ram[0x100|(u8)(cpu.s-2)]	= (cpu.N & cN) | (cpu.V?cV:0) | cR | 0 | cpu.D | cpu.I | (cpu.Z ? 0: cZ) | cpu.C;
	cpu.s-=3;
	cpu.I = cI;
	cpu.pc  = pRead16(NMIVector);
	cpuCycles += 7;
}

inline void IRQ()
{
	ram[0x100|cpu.s]			= cpu.pc>>8;
	ram[0x100|(u8)(cpu.s-1)]	= (u8)cpu.pc;
	ram[0x100|(u8)(cpu.s-2)]	= (cpu.N & cN) | (cpu.V?cV:0) | cR | 0 | cpu.D | cpu.I | (cpu.Z ? 0: cZ) | cpu.C;
	cpu.s-=3;
	cpu.pc  = pRead16(IRQVector);
	cpu.I = cI;
	cpuCycles += 7;
}

}
