#include "../emu/h/types.h"
#include "h/ppu.h"

namespace Reminesce
{

struct tPPU ppu;

//options
u8 ppushowTopLines=0;				//show top & bottom 8 lines durring NTSC mode
u8 ppuClipRightSide=0;				//clip 8 right pixels when clipping the left 8
u8 drawMode=0;

u8 skipThisFrame=0;

//tiles
u8 *pChrRead[16], *pChrWrite[16], *pMyTile[16];
u8 *chrRam;

//sprites
u8 sprRam[256], sprLoc;

//palette
u8 pal[32];

//nametables
u8 *pntBank[4];
u8 *nameTable;

}
